[Launch]
ProgramExecutable=DamnVid\DamnVid.exe
CommandLineArguments=--config="%PAL:DataDir%\settings\config" --myvideos="%PortableApps.comVideos%"
DirectoryMoveOK=yes
SupportsUNC=yes

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\config\damnvid.ini
Find=%PAL:LastDrive:ForwardSlash%%PAL:LastPackagePartialDir:ForwardSlash%\
Replace=%PAL:Drive:ForwardSlash%%PAL:PackagePartialDir:ForwardSlash%\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\config\damnvid.ini
Find=%PAL:LastDrive:ForwardSlash%%PAL:LastPortableAppsBaseDir:ForwardSlash%\
Replace=%PAL:Drive:ForwardSlash%%PAL:PortableAppsBaseDir:ForwardSlash%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\config\damnvid.ini
Find=%PAL:LastDrive:ForwardSlash%\
Replace=%PAL:Drive:ForwardSlash%\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\settings\config\damnvid.ini
Find=INITIALDOWNLOADDIRECTORY
Replace=%PortableApps.comVideos:ForwardSlash%
